Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_UIPMC_Acceptor Class Reference

TAO_UIPMC_Acceptor. More...

`#include <UIPMC_Acceptor.h>`

Inheritance diagram for TAO_UIPMC_Acceptor:

[legend]
Collaboration diagram for TAO_UIPMC_Acceptor:

[legend]
List of all members.

## Public Methods
| TAO_UIPMC_Acceptor (CORBA::Boolean flag=0)
| Constructor. More...
| ~TAO_UIPMC_Acceptor (void)
| Destructor. More...
const ACE_INET_Addr & | address (void) const
| Helper method for the implementation repository, should go away. More...
const ACE_INET_Addr * | endpoints (void)
| Returns the array of endpoints in this acceptor. More...
virtual int | open (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *address, const char *options=0)
virtual int | open_default (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *options=0)
virtual int | close (void)
virtual int | create_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
virtual int | is_collocated (const TAO_Endpoint *endpoint)
virtual CORBA::ULong | endpoint_count (void)
virtual int | object_key (IOP::TaggedProfile &profile, TAO_ObjectKey &key)
int | hostname (TAO_ORB_Core *orb_core, ACE_INET_Addr &addr, char *&host, const char *specified_hostname=0)
int | dotted_decimal_address (ACE_INET_Addr &addr, char *&host)
## Protected Methods
virtual int | open_i (const ACE_INET_Addr &addr, ACE_Reactor *reactor)
virtual int | parse_options (const char *options)
| Parse protocol specific options. More...
int | init_uipmc_properties (void)
| Obtain uipmc properties that must be used by this acceptor, i.e., initialize <uipmc_properties_>. More...
## Protected Attributes
ACE_INET_Addr * | addrs_
| Array of ACE_INET_Addr instances, each one corresponding to a given network interface. More...
char ** | hosts_
size_t | endpoint_count_
| The number of host names cached in the hosts_ array (equivalent to the number of endpoints opened by this Acceptor). More...
TAO_GIOP_Message_Version | version_
TAO_ORB_Core * | orb_core_
| ORB Core. More...
TAO_UIPMC_Properties | uipmc_properties_
| UIPMC configuration properties to be used for all connections opened by this acceptor. More...
## Private Attributes
TAO_UIPMC_Connection_Handler * | connection_handler_

## Detailed Description

TAO_UIPMC_Acceptor.

The UIPMC-specific bridge class for the concrete acceptor.

## Constructor & Destructor Documentation

TAO_UIPMC_Acceptor::TAO_UIPMC_Acceptor | ( | CORBA::Boolean | flag = 0 | ) |

| Constructor.

TAO_UIPMC_Acceptor::~TAO_UIPMC_Acceptor | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_INLINE const ACE_INET_Addr & TAO_UIPMC_Acceptor::address | ( | void |  | ) | const

| Helper method for the implementation repository, should go away. @

int TAO_UIPMC_Acceptor::close | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIPMC_Acceptor::create_profile | ( | const TAO_ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority
| ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIPMC_Acceptor::dotted_decimal_address | ( | ACE_INET_Addr & | addr,
|  | char *& | host
| ) |

| Set the host name for the given address using the dotted decimal format.

CORBA::ULong TAO_UIPMC_Acceptor::endpoint_count | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

ACE_INLINE const ACE_INET_Addr * TAO_UIPMC_Acceptor::endpoints | ( | void |  | ) |

| Returns the array of endpoints in this acceptor.

int TAO_UIPMC_Acceptor::hostname | ( | TAO_ORB_Core * | orb_core,
|  | ACE_INET_Addr & | addr,
|  | char *& | host,
|  | const char * | specified_hostname = 0
| ) |

| Set the host name for the given addr. A hostname may be forced by using specified_hostname. This is useful if the given address corresponds to more than one hostname and the desired one cannot be determined in any other way.

int TAO_UIPMC_Acceptor::init_uipmc_properties | ( | void |  | ) | `[protected]`

| Obtain uipmc properties that must be used by this acceptor, i.e., initialize <uipmc_properties_>.

int TAO_UIPMC_Acceptor::is_collocated | ( | const TAO_Endpoint * | endpoint | ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIPMC_Acceptor::object_key | ( | IOP::TaggedProfile & | profile,
|  | TAO_ObjectKey & | key
| ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIPMC_Acceptor::open | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | major,
|  | int | minor,
|  | const char * | address,
|  | const char * | options = 0
| ) | `[virtual]`

| The TAO_Acceptor methods, check the documentation in Pluggable.h for details. Reimplemented from TAO_Acceptor.

int TAO_UIPMC_Acceptor::open_default | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | version_major,
|  | int | version_minor,
|  | const char * | options = 0
| ) | `[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_UIPMC_Acceptor::open_i | ( | const ACE_INET_Addr & | addr,
|  | ACE_Reactor * | reactor
| ) | `[protected, virtual]`

| Implement the common part of the open*() methods. This method is virtual to allow a derived class implementation to be invoked instead.

int TAO_UIPMC_Acceptor::parse_options | ( | const char * | str | ) | `[protected, virtual]`

| Parse protocol specific options.

## Member Data Documentation

ACE_INET_Addr* TAO_UIPMC_Acceptor::addrs_`[protected]`

| Array of ACE_INET_Addr instances, each one corresponding to a given network interface.

TAO_UIPMC_Connection_Handler* TAO_UIPMC_Acceptor::connection_handler_`[private]`

size_t TAO_UIPMC_Acceptor::endpoint_count_`[protected]`

| The number of host names cached in the hosts_ array (equivalent to the number of endpoints opened by this Acceptor).

char** TAO_UIPMC_Acceptor::hosts_`[protected]`

| Cache the information about the endpoints serviced by this acceptor. There may in fact be multiple hostnames for this endpoint. For example, if the IP address is INADDR_ANY (0.0.0.0) then there will be possibly a different hostname for each interface.

TAO_ORB_Core* TAO_UIPMC_Acceptor::orb_core_`[protected]`

| ORB Core.

TAO_UIPMC_Properties TAO_UIPMC_Acceptor::uipmc_properties_`[protected]`

| UIPMC configuration properties to be used for all connections opened by this acceptor.

TAO_GIOP_Message_Version TAO_UIPMC_Acceptor::version_`[protected]`

| The GIOP version for this endpoint @ Theoretically this shouldn't be here!! We need to look at a way to move this out

The documentation for this class was generated from the following files:

- UIPMC_Acceptor.h
- UIPMC_Acceptor.cpp
- UIPMC_Acceptor.i